Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JULayoutConsDefXYGroup

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.layout.DCLayoutConsDef
oracle.jbo.uicli.layout.JULayoutConsDef
oracle.jbo.uicli.jui.JULayoutConsDefXYGroup`

public class JULayoutConsDefXYGroup
extends oracle.jbo.uicli.layout.JULayoutConsDef

Field Summary
`static java.lang.String` | `PNAME_Heights`
`static java.lang.String` | `PNAME_Widths`
`static java.lang.String` | `PNAME_Xs`
`static java.lang.String` | `PNAME_Ys`

Fields inherited from class oracle.adf.model.layout.DCLayoutConsDef
`PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JULayoutConsDefXYGroup()`
`JULayoutConsDefXYGroup(int[] xs, int[] ys, int[] widths, int[] heights)`

Method Summary
`java.lang.Object` | `createLayoutCons()`
`int[]` | `getHeights()`
`int[]` | `getWidths()`
`int[]` | `getXs()`
`int[]` | `getYs()`
`void` | `init(java.util.HashMap initValues)`
`void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`

Methods inherited from class oracle.adf.model.layout.DCLayoutConsDef
`getXMLElementTag`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, retrieveFromXML, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_Xs

    public static final java.lang.String PNAME_Xs

  See Also:
    Constant Field Values

### PNAME_Ys

    public static final java.lang.String PNAME_Ys

  See Also:
    Constant Field Values

### PNAME_Widths

    public static final java.lang.String PNAME_Widths

  See Also:
    Constant Field Values

### PNAME_Heights

    public static final java.lang.String PNAME_Heights

  See Also:
    Constant Field Values

Constructor Detail

### JULayoutConsDefXYGroup

    public JULayoutConsDefXYGroup()

### JULayoutConsDefXYGroup

    public JULayoutConsDefXYGroup(int[] xs,
                                  int[] ys,
                                  int[] widths,
                                  int[] heights)

Method Detail

### init

    public void init(java.util.HashMap initValues)

### getXs

    public int[] getXs()

### getYs

    public int[] getYs()

### getWidths

    public int[] getWidths()

### getHeights

    public int[] getHeights()

### createLayoutCons

    public java.lang.Object createLayoutCons()

### loadChildrenFromXML

    public void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCDefBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.